%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix mdv
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:mdv}%{?mandriva_release:%mandriva_release}%{?subrel:.%subrel}
%endif

%define mdkversion            %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandriva-release)

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1
%if %mdkversion < 200600
%define have_emacsmodespec 0
%endif

# we want /etc/rpm/platform and rpmgenplatform only on rpm5.org < 5.2
%define rpmplatform %{?evr_tuple_select: 0}%{!?evr_tuple_select: %(if rpm --help | grep -q yaml; then echo 1; else echo 0; fi)}

# always include platform specific macros for rpm5.org compatibility, rpm.org
# is also planning on burying rpmrc in the future anyways...
%define only_rpmrc 0

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

Summary:	The Mandriva rpm configuration and scripts
Name:		rpm-mandriva-setup
Version:	1.104
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpm-setup/
Requires:	rpm-manbo-setup >= 0.4
BuildRoot:	%{_tmppath}/%{name}-buildroot
# for "make test":
BuildRequires:	rpm-manbo-setup >= 0.4
BuildRequires:	rpm-devel
%if !%rpmplatform
Conflicts:	rpm = 4.4.8
Conflicts:	rpm = 4.4.6
# older rpm do not load /usr/lib/rpm/manbo/rpmrc:
Conflicts:	rpm <= 1:4.4.2.3-0.rc1.1mdv2008.1
%endif

%description
The Mandriva rpm configuration and scripts.

%package	build
Group:		System/Configuration/Packaging
Summary:	The Mandriva rpm configuration and scripts to build rpms
Requires:	rpm-manbo-setup-build >= 0.4
Requires:	spec-helper >= 0.6-5mdk
Requires:	multiarch-utils >= 1.0.3
Requires:	pkgconfig
Requires:	%name = %version-%release
# for %mdkversion
Requires:	mandriva-release
%if %have_emacsmodespec
Conflicts:	rpm < 4.4.1
%endif
Conflicts:	spec-helper <= 0.26.1
Patch0:		find-debuginfo-add-missing-partial-strip.patch

%description	build
The Mandriva rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
%patch0

%build
%configure2_5x \
%if %rpmplatform
    --with-rpmplatform \
%endif
%if %only_rpmrc
    --with-only-rpmrc \
%endif


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

mv %buildroot%_prefix/lib/rpm/mandriva/macros %buildroot%{_sysconfdir}/rpm/macros.d/20common.macros
mv %buildroot%{_sysconfdir}/rpm/macros.d/{build.macros,20build.macros}


%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (mandrakized)." t)
EOF
%endif

# workaround to fix build with rpm-mandriva-setup 1.96
touch debugfiles.list
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_prefix/lib/rpm/mandriva
%if %rpmplatform
%_bindir/rpmgenplatform
%config(noreplace) %_sysconfdir/rpm/platform
%ifarch x86_64
%config(noreplace) %_sysconfdir/rpm/platform32
%endif
%endif
%if !%only_rpmrc
%dir %_prefix/lib/rpm/mandriva/platform/
%_prefix/lib/rpm/mandriva/platform/*-%_target_os
%endif

%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/20common.macros

%files build
%defattr(-,root,root)
%doc NEWS ChangeLog
%if !%only_rpmrc
%exclude %_prefix/lib/rpm/mandriva/platform/*-%_target_os
%endif
%{_sysconfdir}/rpm/macros.d/20build.macros
%_prefix/lib/rpm/mandriva/*

%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif


%changelog
* Thu Feb 23 2012 Franck Bui <franck.bui@mandriva.com> 1.104-2mdv2010.1
+ Revision: 779400
- Add partial strip support (backported from cooker)

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.104-1mdv2010.1
+ Revision: 539551
- 1.104
- revert library stripping change which has the unwanted side-effect of
  making shared libs bigger

* Fri Apr 16 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.103-1mdv2010.1
+ Revision: 535502
- nwe release: 1.103 (ensures '-g' gets passed to strip for libraries)

* Thu Apr 08 2010 Michael Scherer <misc@mandriva.org> 1.102-1mdv2010.1
+ Revision: 532866
- new release 1.102, to fix python3 being non installable

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101-1mdv2010.1
+ Revision: 527811
- update to 1.101

* Sun Mar 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100-1mdv2010.1
+ Revision: 519089
- update to 1.100

* Tue Mar 09 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.99-1mdv2010.1
+ Revision: 516814
- new release: 1.99

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.98-1mdv2010.1
+ Revision: 514658
- cosmetics
- new release: 1.98

* Sat Dec 12 2009 Anssi Hannula <anssi@mandriva.org> 1.97-1mdv2010.1
+ Revision: 477735
- 1.97
  o fix package build when the debug package is empty (regression
    introduded in 1.96)

* Thu Dec 10 2009 Anssi Hannula <anssi@mandriva.org> 1.96-1mdv2010.1
+ Revision: 476112
- 1.96
  o fix perl.prov to assign versions to provides when the version is
    declared with 'our' or 'my' keyword, or when it is prepended with
    code (J?\195?\169r?\195?\180me Quelin)
  o replace %%sunsparc with %%sparc & %%sparcx (from rpm5.org,
    Per ?\195?\152yvind Karlsen)
  o support ELF executables only as a.out has been deprecated since ages
    ago (fixes objdump 'File format not recognized' errors)
    (Per ?\195?\152yvind Karlsen)
  o don't try finding debug files in buildroot when there's none
- drop obsolete external ChangeLog, use up-to-date internal one instead
- move ChangeLog to build subpackage and provide NEWS as well

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 1.95-1mdv2010.0
+ Revision: 448670
- 1.95
- MIPS and ARM support (from Arnaud Patard):
  o add mipsel support
  o introduce CANONTARGETGNU, to be able to use -gnueabi for ARM
  o add arm support and use -gnueabi instead of -gnu
- fix bootstrapping by defining some macros (from Arnaud Patard)

* Sat Aug 08 2009 Anssi Hannula <anssi@mandriva.org> 1.94-1mdv2010.0
+ Revision: 411661
- 1.94
  o update perl_convert_version to keep alphabetic tail in version number
    (Luca Berra)

* Tue Jul 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.93-1mdv2010.0
+ Revision: 402283
- 1.93:
- update perl_convert_version macro (J?\195?\169r?\195?\180me Quelin)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - always include platform specific macros for rpm5.org compatibility, rpm.org
      is also planning on burying rpmrc in the future anyways...

* Fri Jul 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.92-1mdv2010.0
+ Revision: 394187
- 1.92:
- making sure automatic provides & requires for perl package are using the
  new macro %%perl_convert_version (jquelin)
- rpm5 fixes (peroyvind)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - install common.macros to same location for rpm5.org as well
    - move platform specific directories under a dedicated 'platform/' directory
    - disable /etc/rpm/platform for rpm >= 5.2

* Tue Feb 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.91-1mdv2009.1
+ Revision: 336912
- 1.91:
- build.macros.in
  o add new perl_convert_version macro to convert cpan version to rpm version
- git-repository--after-tarball:
  o commit the tarball with user "unknown author <cooker@mandrivalinux.org>"
  o commit the tarball using the tarball's modification time

* Thu Jan 29 2009 Pixel <pixel@mandriva.com> 1.90-1mdv2009.1
+ Revision: 335288
- 1.90: call patch with -U (aka --unified-reject-files)

* Thu Jan 29 2009 Pixel <pixel@mandriva.com> 1.89-1mdv2009.1
+ Revision: 335222
- 1.89:
- when %%_with_git_repository is set, define %%_after_setup and %%_patch to use
  the new scripts git-repository--after-tarball and git-repository--apply-patch

* Wed Jan 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.88-1mdv2009.1
+ Revision: 326731
- Version 1.88 - 7 January 2009, by Christophe Fergeau
- fix ugly warning during invocation of php.req
- RPM5 fixes

* Mon Sep 22 2008 Pixel <pixel@mandriva.com> 1.87-1mdv2009.0
+ Revision: 286462
- 1.87: really don't add php dependencies for doc files

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 1.86-1mdv2009.0
+ Revision: 285819
- 1.86: php.req: don't add php dependencies for doc files

* Mon Jul 21 2008 Olivier Blin <blino@mandriva.org> 1.85-1mdv2009.0
+ Revision: 239425
- 1.85
- add make_dm_session macro that calls fndSession

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 1.84-1mdv2009.0
+ Revision: 233360
- 1.84, bugfix release:
- fix %%update_icon_cache/%%clean_icon_cache

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 1.83-1mdv2009.0
+ Revision: 233345
- 1.83: intelligent %%update_icon_cache/%%clean_icon_cache which are null for
  caches handled through filetriggers, but as used to be for other caches

* Mon Jun 23 2008 Pixel <pixel@mandriva.com> 1.82-1mdv2009.0
+ Revision: 227992
- 1.82:
- find-lang.pl: do not own /usr/share/locales/$lang/LC_MESSAGES to speed-up rpm

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 1.81-1mdv2009.0
+ Revision: 227397
- 1.81: fixes deprecated macros that were broken in previous release
  (%%update_icon_cache, %%clean_icon_cache, %%post_install_gconf_schemas)

* Fri Jun 13 2008 Pixel <pixel@mandriva.com> 1.80-1mdv2009.0
+ Revision: 218689
- 1.80: macros deprecated by rpm filetriggers now return nothing

* Tue Jun 10 2008 Pixel <pixel@mandriva.com> 1.79-1mdv2009.0
+ Revision: 217534
- 1.79: use lzma by default to compress binary packages (instead of gzip)

* Mon Jun 02 2008 Pixel <pixel@mandriva.com> 1.78-1mdv2009.0
+ Revision: 214280
- 1.78 (remove test for %%_localstatedir)
- 1.77: activate filetriggers (cf http://wiki.mandriva.com/en/Rpm_filetriggers)
- add "requires: mandriva-release" in rpm-mandriva-setup-build
  (but note that one should really have basesystem-minimal installed)

* Tue Apr 01 2008 Olivier Blin <blino@mandriva.org> 1.76-1mdv2008.1
+ Revision: 191515
- 1.76
- provide "kmod(module) = PACKAGE_VERSION" for dkms binary modules as
  well (#35074)
- prefer DEST_MODULE_NAME over BUILT_MODULE_NAME if present in
  dkms.conf for dkms modules provides

* Fri Mar 28 2008 Pixel <pixel@mandriva.com> 1.75-1mdv2008.1
+ Revision: 190831
- 1.75:
- remove some more macros which are now in rpm-manbo-setup
- make sure debug files are world-readable

* Fri Feb 15 2008 Pixel <pixel@mandriva.com> 1.74-1mdv2008.1
+ Revision: 168865
- order macros.d files to be loaded after rpm-manbo-setup macros
- 1.74: remove macros needed for Manbo packages (they are now in rpm-manbo-setup)

* Thu Feb 14 2008 Pixel <pixel@mandriva.com> 1.73-1mdv2008.1
+ Revision: 168467
- 1.73: rpmpopt, rpmb_deprecated and rpmrc are now in rpm-manbo-setup

* Thu Feb 14 2008 Pixel <pixel@mandriva.com> 1.72-2mdv2008.1
+ Revision: 167732
- move /usr/lib/rpm/mandriva/macros to /etc/rpm/macros.d/common.macros
  (to be more path agnostic) (nb: only done when using rpmrc)

* Tue Jan 29 2008 Pixel <pixel@mandriva.com> 1.72-1mdv2008.1
+ Revision: 159862
- 1.72
- add option --with-only-rpmrc: per-arch macros are not installed
  (since %%optflags is already in rpmrc and other macros are now in standard
   rpm per-arch macros)
- /etc/rpm/macros.d/build.macros
  o move here most macros from /usr/lib/rpm/<vendor>/macros,
    those macros will not be available anymore when rpm-<vendor>-setup-build
    is not installed
  o restore %%check macro. it allows "--without check".
  o explain the advantage of "--without <section>" (inherited from conectiva)
  o remove duplicated macros
  o remove %%_multilibno (already defined in both /usr/lib/rpm/<arch>/macros
    and/or /usr/lib/rpm/<vendor>/<arch>/macros)
- /usr/lib/rpm/<vendor>/macros:
  o add %%_gnu and %%_target_platform (was in <arch>/macros)
- /usr/lib/rpm/<vendor>/rpmopt:
  o drop --scripts alias (nicely handled by rpm's rpmpopt for some time)

* Thu Jan 24 2008 Pixel <pixel@mandriva.com> 1.71-1mdv2008.1
+ Revision: 157286
- 1.71: do package rpmb_deprecated

* Wed Jan 23 2008 Pixel <pixel@mandriva.com> 1.70-1mdv2008.1
+ Revision: 157063
- 1.70: deprecate "rpm -b" in favor of "rpmbuild -b"

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 1.69-1mdv2008.1
+ Revision: 156378
- 1.69: Make %%serverbuild define CFLAGS, CXXFLAGS and RPM_OPT_FLAGS variables
  as used to be (cf #32050)

* Thu Jan 17 2008 Pixel <pixel@mandriva.com> 1.68-2mdv2008.1
+ Revision: 154002
- ensure one can't upgrade rpm-mandriva-setup without upgrading rpm (#36291)

* Mon Jan 07 2008 Pixel <pixel@mandriva.com> 1.68-1mdv2008.1
+ Revision: 146334
- 1.68: do not use ssp_flags on archs which do not handle it (thanks to rtp)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Dec 21 2007 Pixel <pixel@mandriva.com> 1.67-1mdv2008.1
+ Revision: 136418
- 1.67: automatically require perlapi-<perl-version> for binary perl modules
        (so that we can cleanly handle perl API breakage)

* Thu Dec 20 2007 Pixel <pixel@mandriva.com> 1.66-2mdv2008.1
+ Revision: 135434
- 1.66:
- rpm-spec-mode.el: update known rpm groups (#27773)
- make %%serverbuild modify %%optflags instead of shell variables (Anssi) (#32050)

* Wed Dec 19 2007 Pixel <pixel@mandriva.com> 1.65-1mdv2008.1
+ Revision: 134746
- use --with-rpmplatform when building with jbj's rpm
  (since rpm 4.4.2.2 works better with no /etc/rpm/platform)
- 1.65:
- add option --with-rpmplatform to install or not /etc/rpm/platform and genplatform
- rpm-spec-mode.el: use buildroot macro instead of RPM_BUILD_ROOT environment variable

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Pixel <pixel@mandriva.com> 1.64-1mdv2008.1
+ Revision: 125513
- 1.64:
- define %%defaultbuildroot instead of %%buildroot (fixes #34705),
  this needs at least rpm 4.4.2.2-2mdv
- add rpm 4.4.6 python macros for compatibility
  (even if it overlaps with py_* macros)

* Tue Oct 02 2007 Olivier Blin <blino@mandriva.org> 1.63-1mdv2008.0
+ Revision: 94525
- 1.63
- fix check for kmod.prov (reported by Vincent Danen)

* Thu Sep 27 2007 Olivier Blin <blino@mandriva.org> 1.62-1mdv2008.0
+ Revision: 93247
- 1.62 (#30935, thanks to Danny for the help)
- kmod.prov: print module provides even if no version is found
- kmod.prov: use vermagic instead of srcversion
- kmod.prov: fix match of modules with '-'

* Tue Sep 25 2007 Olivier Blin <blino@mandriva.org> 1.61-1mdv2008.0
+ Revision: 92786
- 1.61
- substitute $PACKAGE_NAME in kmod() provides
- fix handling multiple dkms.conf files (it probably won't happen in real life)

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 1.60-1mdv2008.0
+ Revision: 91655
- 1.60:
- handle symlinks the same way as files in find-lang.pl, some symlinks in
  documentation were previously left out (Anssi)

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 1.59-1mdv2008.0
+ Revision: 85645
- 1.59:
- find-requires:
  o fix GCJ AOT directory regexp in find-requires.in (anssi)
  o remove "Using BuildRoot: ..." message, it's mostly a duplicate of rpm's
    "Finding Requires ...", and it's too verbose when using "rpm -bb --quiet"

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 1.58-1mdv2008.0
+ Revision: 84080
- 1.58:
- find-requires.in:
  o do not use buildroot since it may contain double slashes whereas filelist
    do not (fixes missing require on perl-base and python-base)
- filter.sh, macros.in:
  o handle double slashes in buildroot in filter.sh in new file exception
    macros, in case tmppath contains a trailing slash as in iurt. This also
    fixes handling of exception macros that contain spaces, which has been
    broken for a while.
- find-provides.in, find-requires.in: (Anssi)
  o ignore library dependencies of objects in /usr/lib(64)/gcj/, which are GCJ
    AOT compiled shared objects and are only useful when running the software
    in the package with gij (gcc java). If the user uses some other java VM,
    they do not need their dependencies satisfied.

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 1.57-1mdv2008.0
+ Revision: 81010
- 1.57:
- create /etc/rpm/platform32 (used instead of /etc/rpm/platform when run through linux32)

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 1.56-1mdv2008.0
+ Revision: 80698
- 1.56:
- find-lang.pl: include file by file except with --all-name (nanardon)
- set %%_host_cpu32 (used instead of %%_host_cpu when run through linux32)

* Tue Sep 04 2007 Olivier Blin <blino@mandriva.org> 1.55-1mdv2008.0
+ Revision: 79435
- 1.55: add package version in dkms.conf kmod() provides

* Tue Sep 04 2007 Olivier Blin <blino@mandriva.org> 1.54-1mdv2008.0
+ Revision: 79141
- 1.54: find kmod() provides in dkms.conf files

* Tue Aug 28 2007 Pixel <pixel@mandriva.com> 1.53-1mdv2008.0
+ Revision: 72787
- 1.53 (ensure %%debug_package doesn't modify %%{summary} in %%install section)

* Sun Aug 26 2007 Olivier Thauvin <nanardon@mandriva.org> 1.52-1mdv2008.0
+ Revision: 71487
- 1.52

* Thu Aug 23 2007 Olivier Thauvin <nanardon@mandriva.org> 1.51-1mdv2008.0
+ Revision: 69965
- 1.51 (find-lang fixes again)

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.50-1mdv2008.0
+ Revision: 68455
- 1.50

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.49-1mdv2008.0
+ Revision: 68393
- 1.49 (fix #32366)

* Thu Aug 02 2007 Pixel <pixel@mandriva.com> 1.48-1mdv2008.0
+ Revision: 58139
- tell rpmlib to open all indices before doing chroot.
  fixes "db4 error"s like #31922, and may fix #31873
  + Olivier Thauvin <nanardon@mandriva.org>
    - add default buildroot definition
    -fix #31973 (Impossible to exclude single files from autoreq/autoprov)

* Sat Jul 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.47-1mdv2008.0
+ Revision: 51909
- 1.47:
  o restore lost change after rpm breakage
  o lzma switch
  o bug fixes

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.46-1mdv2008.0
+ Revision: 48842
- 1.46: fix gconf macros (F. Crozat)

* Tue Jun 26 2007 Olivier Thauvin <nanardon@mandriva.org> 1.45-1mdv2008.0
+ Revision: 44447
- 1.45:
  o platform handle all linux case
  o rework find_lang (managing man page too)
  o use --stack-protector in optflags

* Tue Jun 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.44-1mdv2008.0
+ Revision: 41507
- updated to version 1.44:
  - added -fstack-protector to serverbuild macro

* Tue Jun 19 2007 Olivier Thauvin <nanardon@mandriva.org> 1.43-1mdv2008.0
+ Revision: 41157
- 1.43 (improve platform list)
- 1.42
  o disable libtoolize by default
  o doc files are going into PKGNAME/ instead PKGNAME/VERSION
  o provide a /etc/rpm/platform for rpm 4.4.8 and above

* Wed May 09 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.41-1mdv2008.0
+ Revision: 25687
- Updated from 1.41, it removes duplicated macros already in rpm-helper,
  see ticket #30568.
- Added ChangeLog as Source, it isn't provided with svn branch on
  mandriva but was in previous 1.40 tarball, and is generated from svn
  branch from what I could see. Also updated it with changelog from 1.40
  to 1.41.


* Fri Mar 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.40-1mdv2007.1
+ Revision: 144778
- 1.40: fix install-info macros
- 1.39: add --with-html option for */doc/HTML (blino)

* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.38-1mdv2007.1
+ Revision: 140790
- fix buildrequires
- 1.38
 o handle haskell dependencies (using external tools)

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 1.37-1mdv2007.1
+ Revision: 122772
- filter devel(ld-linux) if using the objdump method too
- fix url
- use the right configure macro

* Sun Feb 18 2007 Olivier Thauvin <nanardon@mandriva.org> 1.36-2mdv2007.1
+ Revision: 122329
- requires pkgconfig for building to ensure dependencies are properly filled

* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 1.36-1mdv2007.1
+ Revision: 122189
- 1.36

* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.35-1mdv2007.1
+ Revision: 122015
- 1.35

* Mon Jan 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.34-1mdv2007.1
+ Revision: 109088
- auto-detect binary files that Requires: rtld(GNU_HASH)

* Fri Dec 01 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.33-1mdv2007.1
+ Revision: 89719
- fix ppc optflags
- fix ppc64 multilib
- add ppc32 optflags

* Thu Nov 30 2006 Pixel <pixel@mandriva.com> 1.32-1mdv2007.1
+ Revision: 89343
- make "rpm -qa" fast, using --nosignature (#23121)
- find-requires: (gb)
  o Merge: exclude linux-vdso64 from devel() autorequires.

* Fri Nov 10 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.31-1mdv2007.1
+ Revision: 80557
- 1.31
- update default optimization flags for i586 & ppc64
- fix conditionals

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-3mdv2007.0
+ Revision: 60327
- revert again mkrel which magically came back, grrr

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-2mdv2007.0
+ Revision: 59389
- back to 0.29 + patch to please the FREEZE
- 1.30 emergency fix clean_icon_cache (goetz)

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-1mdv2007.0
+ Revision: 59067
- being wrong hapen sometimes: revert last change

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.28-1mdv2007.0
+ Revision: 58928
- 1.28 (subrel before distsuffix)

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org> 1.27-1mdv2007.0
+ Revision: 58819
- 1.27
- Import rpm-mandriva-setup

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org> 1.26-1mdv2007.0
- 1.26
- pkgconfig file can be located in /usr/share/pkgconfig, looking for it
  to create requirement (thanks Gotz)

* Fri Jul 14 2006 Olivier Blin <oblin@mandriva.com> 1.25-1mdv2007.0
-  1.25:
   o Force also icon cache generation on uninstall
     or removed files might be left in cache (Frederic Crozat)

* Fri Jun 30 2006 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2007.0
- 1.24:
  o use %%mkrel by default in new spec files (rpm-spec-mode for emacs)

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 1.23-1mdv2007.0
- 1.23
- add desktop and scrollkeeper macro (F. Crozat)
- add _webapp* macros

* Sun Jun 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2007.0
- 1.22
- enable pkgconfig/libtool provides
- strip bad requirement for ppc

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 1.21-1mdk
- new %%mkrel behavior

* Sun May 21 2006 Olivier Thauvin <nanardon@mandriva.org> 1.20-1mdk
- fix X11 location
- latest spec-helper adaptation

* Thu May 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.19-1mdk
- Revert changes made in 1.18

* Tue Apr 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.18-1mdk
- find-requires: require only .so that are in standard paths, and use ldd
  instead of objdump to get their list.

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.17-1mdk
- Don't provide .so files that aren't in standard paths
- Don't search perl files for provides if they don't end with .pm
- Fix rename macro (don't obsolete what is provided) (Ze)

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- Fix automatic deps for some devel packages (Guillaume Rousse)
- Update OS name

* Tue Mar 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- Set _repackage_all_erasures to 0 (rgs)
- Add a way to disable fortify from cflags (Olivier Thauvin)
- Add a macro to list all sparc-compatible archs (Per Øyvind Karlsen)
- Emacs mode fixes (Pixel)
- Remove pre flags on python requirement (Helio)

* Sun Jan 15 2006 Olivier Thauvin <nanardon@mandriva.org> 1.14-1mdk
- remove /etc/rpm/macros.* from macros search path
- add macro for gcjdb (Giuseppe)

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.13-1mdk
- add PYTHON-LIBDIR-NOT-FOUND, PYTHON-LIBDIR-NOT-FOUND (misc)

* Tue Jan 10 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12-1mdk
- fix typo in RequireS (#20574)

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.11-1mdk
- Set _changelog_truncate to "3 years ago"
- Restore _query_all_fmt to its default 4.4.2 value

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- Add _rpmlock_path to default macros

* Wed Jan 04 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9-1mdk
- find-debuginfo.sh: preserve setuid/setgid permissions when stripping
  files for -debug package
- Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>
  * perl.req: Fix typo in comment
  * macros.in: Typo fix
- Olivier Thauvin <thauvin at aerov.jussieu.fr>
  * find-requires.in: - rpm output to stdout if file exists, so we
    have ignore first output in all case and keep the result only if
    we are sure rpm exit with 0
  * macros.in: - Fix PreReq, thanks neoclust to recall me this

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.8-1mdk
- Ignore perl version requires
- Get correctly the Perl dependencies from "use base"

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.7-1mdk
- Insert a dependency on libperl.so for XS perl modules

* Fri Oct 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.6-1mdk
- enable -debug packages for 2007
- build with -fasynchronous-unwind-tables on regular x86 too
- build C code with -fexceptions too

* Fri Oct 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.1-1mdk
- fix %%py_libdir for lib64 platforms (#18772)
- perl.req: add the proper detection of 'use base qw(Foo::Bar)'
  construct (Michael Scherer)

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5-1mdk
- make generation of debug packages work again
- factor out compile flags and build with -D_FORTIFY_SOURCE=2

* Fri Aug 19 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdk
- fix php.req about include of relatives path (P. Terjan)

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-1mdk
- check-multiarch-files: fix invocation and path (/usr/lib/rpm/check-*),
  default to not check for multiarch files in 2006

* Mon Aug 08 2005 Olivier Thauvin <nanardon@zarb.org> 1.2-1mdk
- add req/prov for php pear
- add conectiva macros

* Sun Jun 26 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-4mdk
- require multiarch-utils

* Fri Jun 24 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-3mdk
- enforce requirement to avoid conflict during update

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-2mdk
- split package for dep

* Tue Jun 14 2005 Olivier Thauvin <nanardon@zarb.org> 1.1-1mdk
- few connectiva macros
- from Gwenole Beauchesne
  - merge from old ppc64 branch:
  * find-requires: handle ppc64 loaders

* Thu May 26 2005 Olivier Thauvin <nanardon@zarb.org> 1.0-1mdk
- 1.0:
  - disable automatic gpg key query on server
  - add automatic require for ocaml (G. Rousse)

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.8-1mdk
- 0.8: fix %%_localstatedir

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- 0.7 (integrate spec mode for emacs)

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- 0.6 /usr/lib

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5-1mdk
- 0.5 (translate pentium[34] => i586)

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4-1mdk
- 0.4
  - fix popt options

* Wed May 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3 (better compatiblity)

* Mon May 02 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-1mdk
- 0.2 (minor fix)

* Thu Apr 28 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1-1mdk
- First mandriva spec

